<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>

</html>
<script>
    //YC1
    function is_string(input) {
        return typeof input === 'string';
    }

    console.log(is_string('w3resource')); // true
    console.log(is_string([1, 2, 4, 0])); // false
    //YC2
    function capitalizeWords(str) {
        let words = str.split(' ');
        let capitalizedWords = words.map(word => word.charAt(0).toUpperCase() + word.slice(1));
        return capitalizedWords.join(' ');
    }

    console.log(capitalizeWords('the quick brown fox')); // 'The Quick Brown Fox'

</script>